package com.build.domain.product.composite;

import java.io.Serializable;
import java.util.List;

public class InternalDataWrapper implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	
	private BrandManagerInfo brandManagerInfo;
	private List<ProductVendorInfo> productVendorInfo;
	private List<ProductInternalNote> productInternalNotes;
	
	public InternalDataWrapper() {}
	
	public InternalDataWrapper(BrandManagerInfo brandManagerInfo, List<ProductVendorInfo> productVendorInfo, List<ProductInternalNote> productInternalNotes) {
		this.brandManagerInfo = brandManagerInfo;
		this.productVendorInfo = productVendorInfo;
		this.productInternalNotes = productInternalNotes;
	}

	public BrandManagerInfo getBrandManagerInfo() {
		return brandManagerInfo;
	}

	public void setBrandManagerInfo(BrandManagerInfo brandManagerInfo) {
		this.brandManagerInfo = brandManagerInfo;
	}

	public List<ProductVendorInfo> getProductVendorInfo() {
		return productVendorInfo;
	}

	public void setProductVendorInfo(List<ProductVendorInfo> productVendorInfo) {
		this.productVendorInfo = productVendorInfo;
	}

	public List<ProductInternalNote> getProductInternalNotes() {
		return productInternalNotes;
	}

	public void setProductInternalNotes(
			List<ProductInternalNote> productInternalNotes) {
		this.productInternalNotes = productInternalNotes;
	}

}
