package com.build.domain.product.composite;

import java.io.Serializable;

public class PricedOption implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private String invalidMessage;
	private String regex;
	private String containerType;
	private String inputType;
	private String pricedOptionId;
	private String value;
	private Double cost;
	private Double calculatedPrice;
	private String associatedProductId;
	private String associatedManufacturer;
	private String associatedFinish;
	private Integer associatedProductUniqueId;
	private String image;
	private Boolean fixedCost;
	private Boolean defaultSelection;
	private String serviceId;
	private Boolean requiredForManufacturerInstall;
	private String serviceType;

	public String getInvalidMessage() {
		return invalidMessage;
	}

	public void setInvalidMessage(String invalidMessage) {
		this.invalidMessage = invalidMessage;
	}

	public String getRegex() {
		return regex;
	}

	public void setRegex(String regex) {
		this.regex = regex;
	}

	public String getContainerType() {
		return containerType;
	}

	public void setContainerType(String containerType) {
		this.containerType = containerType;
	}

	public String getInputType() {
		return inputType;
	}

	public void setInputType(String inputType) {
		this.inputType = inputType;
	}

	public String getPricedOptionId() {
		return pricedOptionId;
	}

	public void setPricedOptionId(String pricedOptionId) {
		this.pricedOptionId = pricedOptionId;
	}

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public Double getCost() {
		return cost;
	}

	public void setCost(Double cost) {
		this.cost = cost;
	}

	public Double getCalculatedPrice() {
		return calculatedPrice;
	}

	public void setCalculatedPrice(Double calculatedPrice) {
		this.calculatedPrice = calculatedPrice;
	}

	public String getAssociatedProductId() {
		return associatedProductId;
	}

	public void setAssociatedProductId(String associatedProductId) {
		this.associatedProductId = associatedProductId;
	}

	public String getAssociatedManufacturer() {
		return associatedManufacturer;
	}

	public void setAssociatedManufacturer(String associatedManufacturer) {
		this.associatedManufacturer = associatedManufacturer;
	}

	public String getAssociatedFinish() {
		return associatedFinish;
	}

	public void setAssociatedFinish(String associatedFinish) {
		this.associatedFinish = associatedFinish;
	}

	public Integer getAssociatedProductUniqueId() {
		return associatedProductUniqueId;
	}

	public void setAssociatedProductUniqueId(Integer associatedProductUniqueId) {
		this.associatedProductUniqueId = associatedProductUniqueId;
	}

	public String getImage() {
		return image;
	}

	public void setImage(String image) {
		this.image = image;
	}

	public Boolean getFixedCost() {
		return fixedCost;
	}

	public void setFixedCost(Boolean fixedCost) {
		this.fixedCost = fixedCost;
	}

	public Boolean getDefaultSelection() {
		return defaultSelection;
	}

	public void setDefaultSelection(Boolean defaultSelection) {
		this.defaultSelection = defaultSelection;
	}

	public String getServiceId() {
		return serviceId;
	}

	public void setServiceId(String serviceId) {
		this.serviceId = serviceId;
	}

	public Boolean getRequiredForManufacturerInstall() {
		return requiredForManufacturerInstall;
	}

	public void setRequiredForManufacturerInstall(
			Boolean requiredForManufacturerInstall) {
		this.requiredForManufacturerInstall = requiredForManufacturerInstall;
	}

	public String getServiceType() {
		return serviceType;
	}

	public void setServiceType(String serviceType) {
		this.serviceType = serviceType;
	}
}
