package com.build.domain.product.specs;

import java.io.Serializable;
import java.util.List;

public class ProductSpec implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	private Integer attributeId;
	private String attributeName;
	private Boolean showInList;
	private Boolean showInGallery;
	private String units;
	private Boolean hidden;
	private Boolean productFeedInclude;

	private String shortDescription;

	private List<ProductSpecValue> specValues;

	public Integer getAttributeId() {
		return attributeId;
	}

	public void setAttributeId(Integer attributeId) {
		this.attributeId = attributeId;
	}

	public String getAttributeName() {
		return attributeName;
	}

	public void setAttributeName(String attributeName) {
		this.attributeName = attributeName;
	}

	public Boolean getShowInList() {
		return showInList;
	}

	public void setShowInList(Boolean showInList) {
		this.showInList = showInList;
	}

	public Boolean getShowInGallery() {
		return showInGallery;
	}

	public void setShowInGallery(Boolean showInGallery) {
		this.showInGallery = showInGallery;
	}

	public String getUnits() {
		return units;
	}

	public void setUnits(String units) {
		this.units = units;
	}

	public Boolean getHidden() {
		return hidden;
	}

	public void setHidden(Boolean hidden) {
		this.hidden = hidden;
	}

	public Boolean getProductFeedInclude() {
		return productFeedInclude;
	}

	public void setProductFeedInclude(Boolean productFeedInclude) {
		this.productFeedInclude = productFeedInclude;
	}

	public String getShortDescription() {
		return shortDescription;
	}

	public void setShortDescription(String shortDescription) {
		this.shortDescription = shortDescription;
	}

	public List<ProductSpecValue> getSpecValues() {
		return specValues;
	}

	public void setSpecValues(List<ProductSpecValue> specValues) {
		this.specValues = specValues;
	}

}
