package com.build.web;


import javax.servlet.ServletContextEvent;
import javax.servlet.annotation.WebListener;

import net.sf.ehcache.CacheManager;

@WebListener
public class EhcacheServletListener implements
		javax.servlet.ServletContextListener {
	
	private CacheManager cacheManager;

	@Override
	public void contextDestroyed(ServletContextEvent sce) {
		this.cacheManager.shutdown();
	}

	@Override
	public void contextInitialized(ServletContextEvent sce) {
		this.cacheManager = CacheManager.create();
	}
}
